package OnlineShop.domain;

import java.util.ArrayList;

import OnlineShop.domain.ExceptionsKlassen.KeineProdukteImWarenkorb;

public class Warenkorb {
	private ArrayList<WarenkorbMenge> produkte;

	Warenkorb() {
		this.produkte = new ArrayList<>();
	}

	public boolean addProdukt(WarenkorbMenge neueWarenkorbMenge) {
		produkte.add(neueWarenkorbMenge);
		return true;
	}

	public ArrayList<WarenkorbMenge> getProdukte() {
		return produkte;
	}

	public WarenkorbMenge findWarenkorbMenge(String name) {

		for (WarenkorbMenge wp : produkte)
			if (wp.getProdukt().getName().equalsIgnoreCase(name))
				return wp;

		return null;
	}
}
